> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Pending Operations

> Gets a list of pending SetPerformance and/or SetStorageRetention operations for the title.



## OpenAPI

````yaml /services/playfab/api-references/rest/insights/insights.openapi.json post /Insights/GetPendingOperations
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Insights API
  description: Manage the Insights performance level and data storage retention settings.
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Analytics
    description: Analytics APIs
paths:
  /Insights/GetPendingOperations:
    post:
      tags:
        - Analytics
      summary: Get Pending Operations
      description: >-
        Gets a list of pending SetPerformance and/or SetStorageRetention
        operations for the title.
      operationId: GetPendingOperations
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InsightsGetPendingOperationsRequest'
        description: >-
          Returns a list of operations that are in the pending state for the
          requested operation type.
      responses:
        '200':
          $ref: '#/components/responses/InsightsGetPendingOperationsResponse'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - EntityToken: []
components:
  schemas:
    InsightsGetPendingOperationsRequest:
      description: >-
        Returns a list of operations that are in the pending state for the
        requested operation type.
      type: object
      properties:
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        OperationType:
          description: >-
            The type of pending operations requested, or blank for all operation
            types.
          type: string
      example:
        OperationType: SetPerformance
    InsightsGetPendingOperationsResponse:
      type: object
      properties:
        PendingOperations:
          description: List of pending Insights operations.
          type: array
          items:
            $ref: '#/components/schemas/InsightsGetOperationStatusResponse'
          x-isclass: true
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
    InsightsGetOperationStatusResponse:
      type: object
      properties:
        Message:
          description: Optional message related to the operation details.
          type: string
        OperationCompletedTime:
          description: Time the operation was completed.
          type: string
        OperationId:
          description: Id of the Insights operation.
          type: string
        OperationLastUpdated:
          description: Time the operation status was last updated.
          type: string
        OperationStartedTime:
          description: Time the operation started.
          type: string
        OperationType:
          description: The type of operation, SetPerformance or SetStorageRetention.
          type: string
        OperationValue:
          description: The value requested for the operation.
          type: number
          x-actualtype: int32
        Status:
          description: Current status of the operation.
          type: string
      required:
        - OperationValue
        - OperationStartedTime
        - OperationLastUpdated
        - OperationCompletedTime
  responses:
    InsightsGetPendingOperationsResponse:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/InsightsGetPendingOperationsResponse'
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    EntityToken:
      type: apiKey
      in: header
      name: X-EntityToken
      description: >-
        This API requires an Entity Session Token, available from the Entity
        GetEntityToken method.

````

## Related topics

- [Get Pending Operations](/services/playfab/api-references/rest/insights/analytics/get-pending-operations.md)
- [Get Details](/services/playfab/api-references/rest/insights/analytics/get-details.md)
- [PFInventoryExecuteTransferOperationsAsync](/services/playfab/api-references/c/pfinventory/functions/pfinventoryexecutetransferoperationsasync.md)
- [Execute Transfer Operations](/services/playfab/api-references/rest/economy/inventory/execute-transfer-operations.md)
- [PFDataInitiateFileUploadsGetResult](/services/playfab/api-references/c/pfdata/functions/pfdatainitiatefileuploadsgetresult.md)
